<!--
	Andriy Andrusevych
	Футбол
-->
<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
	<style>
		img {
			height: 30px;
			position: absolute;
		}

		.field {
			display: flex;
			justify-content: center;
			background-color: white;
			padding: 2px 2px;
			border: 2px solid grey;
		}

		.red,
		.blue {
			background-color: greenyellow;
			width: 45%;
			margin: 2px 2px;
			border: solid 1px grey;
			height: 400px;
			display: flex;
			align-items: center;
		}

		.red {
			justify-content: left;
		}

		.blue {
			justify-content: right;
		}

		.goalArea {
			height: 100px;
			width: 50px;
			border: 2px solid white;
		}

		.counterWrapper {
			display: flex;
			justify-content: center
		}

		.counter {
			width: 100%;
			display: flex;
			height: 50px;
			border-radius: 25%;
			border: 1px solid red;
			width: 20%;
			padding: 10px 5px;
			flex-direction: column;
			align-items: center;
			background-color: antiquewhite;

		}
		.count {
			display: flex;
			justify-content: center;
			margin: 10px 2px;
		}

		.redScore {
			color: red;
			padding-right: 2px;
		}

		.blueScore {
			color: blue;
			padding-left: 2px;
		}
	</style>
</head>

<body>
	<div class="counterWrapper">

		<div class="counter">
			<div class="counterTitle">Score</div>
			<div class="count">
				<div class="redScore">RED</div>
				<div class="redScore" id="redCount">0</div>
				<div> : </div>
				<div class="blueScore" id="blueCount">0</div>
				<div class="blueScore">BLUE</div>
			</div>
		</div>
	</div>
	<div class="field">
		<div class="red">
			<div class="goalArea redGoal"></div>
			<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d3/Soccerball.svg/800px-Soccerball.svg.png" alt="" draggable="true">
		</div>
		<div class="blue">
			<div class="goalArea blueGoal"></div>
		</div>
	</div>
	<script>
		let rCount = 0;
		let bCount =0;
		const img = document.querySelector('img');
		const blue = document.querySelector('.blue');
		const red = document.querySelector('.red');
		const redGoal = document.querySelector(".redGoal");
		const redCount = document.querySelector("#redCount");
		const blueGoal = document.querySelector(".blueGoal");
		const blueCount = document.querySelector("#blueCount");

		red.addEventListener('dragover', preventEvent);
		blue.addEventListener('dragover', preventEvent);

		function preventEvent(e) {
			e.preventDefault();
		}

		red.addEventListener('drop', dropElement);
		blue.addEventListener('drop', dropElement);
		redGoal.addEventListener('drop', scoringBlue);
		blueGoal.addEventListener('drop', scoringRed );

		function dropElement(e) {
			e.preventDefault();
			this.appendChild(img);
			img.style.left = e.clientX - img.width / 2 + "px";
			img.style.top = e.clientY - img.height / 2 + "px";
		}
		function scoringRed(e){
			redCount.innerHTML = ++rCount;
		}
		function scoringBlue(e){
			blueCount.innerHTML = ++bCount;
		}

	</script>
</body>

</html>